
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP yii框架源码阅读（二） 整体执行流程分析 / iVAN</title>

    <meta name="description" content="PHP yii框架源码阅读（二） 整体执行流程分析 一 程序入口 &lt;?php // change the following paths if necessary $yii=dirname(__FILE__).'/http://www.cnblogs.com/framework/yii.php'; $config=dirname(__FILE__).'/protected/config/main.php'; // remove the following line when in production mode // defined('YI ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP yii框架源码阅读（二） 整体执行流程分析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一  程序入口</p>
<pre>
&lt;?php

// change the following paths if necessary
$yii=dirname(__FILE__).'/http://www.cnblogs.com/framework/yii.php';
$config=dirname(__FILE__).'/protected/config/main.php';

// remove the following line when in production mode
// defined('YII_DEBUG') or define('YII_DEBUG',true);

require_once($yii);
Yii::createWebApplication($config)-&gt;run();</pre>
<p>require_once($yii) 语句包含了yii.php 文件，该文件是Yii bootstrap file，包含了 yiibase的基础类，yii完全继承了yiibase</p>
<pre>
&lt;?php
/**
 * Yii bootstrap file.
 *
 * @author Qiang Xue &lt;qiang.xue@gmail.com&gt;
 * @link http://www.yiiframework.com/
 * @copyright Copyright &amp;copy; 2008-2011 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 * @version $Id: yii.php 2799 2011-01-01 19:31:13Z qiang.xue $
 * @package system
 * @since 1.0
 */

require(dirname(__FILE__).'/YiiBase.php');

/**
 * Yii is a helper class serving common framework functionalities.
 *
 * It encapsulates {@link YiiBase} which provides the actual implementation.
 * By writing your own Yii class, you can customize some functionalities of YiiBase.
 *
 * @author Qiang Xue &lt;qiang.xue@gmail.com&gt;
 * @version $Id: yii.php 2799 2011-01-01 19:31:13Z qiang.xue $
 * @package system
 * @since 1.0
 */
class Yii extends YiiBase
{
}</pre>
<p>在 YiiBase 类中 定义了一些 比如：</p>
<pre>
public static function createWebApplication($config=null) // 创建启动

public static function import($alias,$forceInclude=false) // 类导入

public static function createComponent($config) // 创建组件

public static function setApplication($app)  // 创建类的实例 yii::app()</pre>
<p>二 自动加载机制</p>
<p>还有比较重要的yii自动加载机制，在yiibase的最后引用了php的标准库函数 spl_autoload_register(array('YiiBase','autoload')) 调用框架中的autoload方法</p>
<pre>
/**
     * Class autoload loader.
     * This method is provided to be invoked within an __autoload() magic method.
     * @param string $className class name
     * @return boolean whether the class has been loaded successfully
     */
    public static function autoload($className)
    {
        // use include so that the error PHP file may appear
        if(isset(self::$classMap[$className]))
            include(self::$classMap[$className]);
        else if(isset(self::$_coreClasses[$className]))
            include(YII_PATH.self::$_coreClasses[$className]);
        else
        {
            // include class file relying on include_path
            if(strpos($className,'\\')===false)  // class without namespace
            {
                if(self::$enableIncludePath===false)
                {
                    foreach(self::$_includePaths as $path)
                    {
                        $classFile=$path.DIRECTORY_SEPARATOR.$className.'.php';
                        if(is_file($classFile))
                        {
                            include($classFile);
                            break;
                        }
                    }
                }
                else
                    include($className.'.php');
            }
            else  // class name with namespace in PHP 5.3
            {
                $namespace=str_replace('\\','.',ltrim($className,'\\'));
                if(($path=self::getPathOfAlias($namespace))!==false)
                    include($path.'.php');
                else
                    return false;
            }
            return class_exists($className,false) || interface_exists($className,false);
        }
        return true;
    }</pre>
<p>查看本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/webkf/PHP/</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索框架<br />
                    ，                源码<br />
                    ，                程序<br />
                    ，                流程<br />
                    ，                分析<br />
                                    入口<br />
                                    yii2.0框架 商城源码、yii框架源码分析、yii 框架商城源码下载、yii2框架源码分析、开源yii框架商城源码，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 10:39:33</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e6%9e%90/" title="分析">分析</a>, <a href="https://www.iamivan.net/tag/%e6%ba%90%e7%a0%81/" title="源码">源码</a>, <a href="https://www.iamivan.net/tag/%e6%a1%86%e6%9e%b6/" title="框架">框架</a>, <a href="https://www.iamivan.net/tag/%e6%b5%81%e7%a8%8b/" title="流程">流程</a>, <a href="https://www.iamivan.net/tag/%e5%85%a5%e5%8f%a3/" title="入口">入口</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP yii框架源码阅读（二） 整体执行流程分析的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRyyDab.html" rel="bookmark">PHP yii框架源码阅读（一） 目录文件分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录文件 |-framework     框架核心库 |--base         底层类库文件夹,包 含CApplication(应用类,负责全局的用户请求处理,它管理的应用组件集,将提供特定功能给整个应用程序),CComponent(组件类,该 文件包含了基于组件和事件驱动编程的基础类,从版本1.1.0开始,一个行为的属性(或者它的公共成员变量或它通过getter和/或setter方 法??定义的属性)可以通过组件的访问来调用),CBehavior(行为类,主要负责声明事件和相应事件处理程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgmPAz.html" rel="bookmark">CI框架源码阅读笔记2 一切的入口 index&period;php</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一节(CI框架源码阅读笔记1 - 环境准备.基本术语和框架流程)中,我们提到了CI框架的基本流程,这里再次贴出流程图,以备参考: 作为CI框架的入口文件,源码阅读,自然由此开始.在源码阅读的过程中,我们并不会逐行进行解释,而只解释核心的功能和实现. 1. 设置应用程序环境 define(&quot;ENVIRONMENT&quot;, &quot;development&quot;); 这里的development可以是任何你喜欢的环境名称(比如dev,再如test),相对应的,你要在下面的switch			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybja2Wz.html" rel="bookmark">CI框架源码阅读笔记5 基准测试 BenchMark&period;php</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于BenchMark是CI中第一个加载的core组件,因此我们的分析首先从该组件开始.BenchMark的含义非常明确,使用过BenchMark工具的同学应该比较清楚,这是一个基准组件.既然是BenchMark,我们便可大胆猜想,BM组件的主要功能就是记录程序的运行时间.内存使用.cpu使用等情况.     这个组件结构较简单,只有一个marker内部变量和三个对外的接口:   1 Elapsed_time 2 Mark 3 Memory_usage 下面一个个展开来看:   1. mark			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybjvo6b.html" rel="bookmark">yii框架源码分析之创建controller代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用yii框架的url路径一般形如hostname/?r=xxxx/xxxx/xxxx&amp;sdfs=dsfdsf 我们可以看到有时会使用protected目录下的controller,有时会使用module中controller,具体是如何处理的呢,请看如下的分析: 以下代码摘自yii框架核心代码%Yiiroot%/framework/web/CWebApplication.php 复制代码 代码如下: ===============================================			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkEJvp.html" rel="bookmark">CI框架源码阅读&comma;系统常量文件constants&period;php的配置&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				配置系统常量 1.当文件系统工作的时候检查并配置这些首选项文件系统运行的时候这些默认的值会适当的增加系统的安全性,但是在php或apache的底层单独的为每各用户开一个进程的时候,使用八进制的值永远是正确的FILE_READ_MODE 读取文件的模式FILE_WRITE_MODE   写入文件的模式DIR_READ_MODE   读取目录的模式DIR_WRITE_MODE 写入目录的模式  2.文件流模式当我们使用fopen()/popen()的时候需要这些模式define('FOPEN_REA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnlRWb.html" rel="bookmark">java&period;util&period;concurrent包源码阅读&lpar;二&rpar; java&period;util&period;concurrent&period;atomic包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Aomic数据类型有四种类型:AomicBoolean, AomicInteger, AomicLong, 和AomicReferrence(针对Object的)以及它们的数组类型, 还有一个特殊的AomicStampedReferrence,它不是AomicReferrence的子类,而是利用AomicReferrence实现的一个储存引用和Integer组的扩展类 首先,所有原子操作都是依赖于sun.misc.Unsafe这个类,这个类底层是由C++实现的,利用指针来实现数据操作 关于CAS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWW9xp.html" rel="bookmark">java源码阅读方法以及经验</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java源码阅读方法以及经验 如何更好的阅读java源码,更注重阅读哪些包里面的源码,当然连好的阅读源码的工具也说明一下更好了 解决方案 我在这里假设你在问怎么阅读jdk的源码,java源码这个名字有点奇怪. 你可以build 一个fast debug版本,然后使用debugger去调试你的程序,这样对程序是怎么调用的有很直观的视图. 其次,可以看看jdk里面的regression tests,里面有很多例子. 其次,openjdk提供了netbean的jdk project,你可以很			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9MxWBGb.html" rel="bookmark">淘宝数据库OceanBase SQL编译器部分 源码阅读--生成物理查询计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL编译解析三部曲分为:构建语法树,制定逻辑计划,生成物理执行计划.前两个步骤请参见我的博客&lt;&lt;淘宝数据库OceanBase SQL编译器部分 源码阅读--解析SQL语法树&gt;&gt;和&lt;&lt;淘宝数据库OceanBase SQL编译器部分 源码阅读--生成逻辑计划&gt;&gt;.这篇博客主要研究第三步,生成物理查询计划. 一. 什么是物理查询计划 与之前的阅读方法一致,这篇博客的两个主要问题是what 和how.那么什么是物理查询计划?物理查询计划能够直接执行并返回数据结果数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMAOQXz.html" rel="bookmark">Flume-NG源码阅读：HBaseSink</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于HBase的sink的所有内容均在org.apache.flume.sink.hbase包下. 每个sink包括自己定制的,都extends AbstractSink implements Configurable. 一.首先是configure(Context context)方法.该方法是对HBaseSink的参数初始化.主要包括以下几个: tableName:要写入的HBase数据表名,不能为空: columnFamily:数据表对应的列簇名,这个sink目前只支持一个列簇,不能为空:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRXa8z.html" rel="bookmark" class="title">HTML初学者教程-表格</a>
					<div>
						初学|教程 本站原创内容,转载请注明出处网页教学网. 全世界的网站基本上都是使用HTML表格对页面区域进行规划的,而现在的web标准建站中提倡抛弃表格,我认为表格规划确实比较简单,但是会增大你的文件的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbExDLz.html" rel="bookmark" class="title">利用OWC服务器端组件动态生成图表</a>
					<div>
						动态|服务器|图表 利用OWC服务器端组件动态生成图表 以前在这里也曾经有一些文章谈到了在ASP中生成动态图表的问题,但那些文章中所谈到的一些方法都有某些方面的限制,如需要在客户端安装office20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAgLXz.html" rel="bookmark" class="title">李贤昌：浅谈SEO中的外部链接</a>
					<div>
						网站的内部链接链接和外部链接对于一个网站来说都非常的重要,都受站长的高度重视.特别是外部链接对于吸引搜索引擎蜘蛛.提升网站PR值.为网站带来流量.提升网站知名度都有重要的作用.所以说做好外部链接优为重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrP4jz.html" rel="bookmark" class="title">UBB&lpar;vb&period;net完整版&rpar;</a>
					<div>
						ubb 最近一段时间我用vb.net做论坛,在网上找了一下,虽然有关于ubb(vb.net)的转换代码,可是都不全面,我在这里补充了一下,拿出来和大家共享. 有什么问题到我个人的论坛www.hushi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2vD9b.html" rel="bookmark" class="title">复杂性和用户体验</a>
					<div>
						[译者按]每一个交互设计师应该都怀有一颗追求简单的心--轻盈的操作,简易的流程,干净的界面.每每提及复杂性,必然会想到其对立面--简单.所谓简单,就是要去除不必要的干扰,让用户直达目标. UX的使命之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYeOKb.html" rel="bookmark" class="title">Win8共享无线实现手机上网详细教程</a>
					<div>
						想用Win8共享无线实现手机上网的朋友可以好好看看以下详细图文教程 操作步骤: 1. 首先确认无线网卡开关开启,驱动程序已成功安装,无线网络功能可正常使用. 打开 控制面板---查看网络状态和任务,点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLma4vz.html" rel="bookmark" class="title">Remote Scripting进阶教程---使 Remote Scripting 在服务器页中有效</a>
					<div>
						除了对客户页进行配置以便于调用远程脚本外,您还必须对自己的服务器页进行配置,以便于对它们进行接收.其做法包括下面这些步骤: 包含 remote scripting 服务器库,并对其进行初始化.编写客户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamLYqb.html" rel="bookmark" class="title">天气预报 正则获取指数信息 group&lpar;0&rpar;指数 group&lpar;1&rpar;概要 group&lpar;2&rpar;详细指数 代码</a>
					<div>
						如果出现正则内容出现东西过多,再增加一个(),group一下 完全原创,呕心沥血呀 package com.zzk.cn; import java.awt.List; import java.io.B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPjDDp.html" rel="bookmark" class="title">ViewHolder模式超简洁写法，很cool&excl;</a>
					<div>
						转自http://www.eoeandroid.com/forum.php?mod=viewthread&amp;tid=321547&amp;page=3#pid3555274 ViewHolder ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7Xl4p.html" rel="bookmark" class="title">onenote2013无法共享-用office onenote2013这款软件进行共享，却无法将笔记共享给他人</a>
					<div>
						问题描述 用office onenote2013这款软件进行共享,却无法将笔记共享给他人 创建好笔记后,然后选择&quot;共享&quot; --&gt;&quot;邀请他人&quot; ,填好对方邮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPErAp.html" rel="bookmark" class="title">从Dash iOS开源说起，不要过于追求完美代码</a>
					<div>
						(Dash iOS源码截图) 前段时间知名的苹果平台文档工具Dash作者开源了它的iOS版本,这是Dash被突然从App Store下架,双方扯皮,直到现在的后续结果.对于这件事情我们不多做评价,不过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zgg6z.html" rel="bookmark" class="title">孙鑫VC学习笔记：ActiveX 控件 &period;</a>
					<div>
						孙鑫VC学习笔记:ActiveX 控件 作者:华仔 | 录入时间:2007-12-26 | 点击:313 次    打印此文章 | 字体:大 中 小 基本概念: 容器和服务器程序       容器应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXNO4z.html" rel="bookmark" class="title">using-C&num;菜鸟求教关于命名空间的问题</a>
					<div>
						问题描述 C#菜鸟求教关于命名空间的问题 错误 未能找到类型或命名空间名称&quot;MainForm&quot;(是否缺少 using 指令或程序集引用?) 程序部分截图: 请大神帮忙解决一下,万分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGElOnM.html" rel="bookmark" class="title">ActionScript 3&period;0 编程体验&lowbar;Flash as3</a>
					<div>
						如图1所示.在这个版本中最为显著的改变就是增加了对ActionScript 3.0的支持,而界面和Flash 8相比并没有任何改动.Flash 9预览版只是为我们提供了一个ActionScript 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRX8Yp.html" rel="bookmark" class="title">CUPS-PDF 2&period;6&period;1发布 PDF虚拟打印机</a>
					<div>
						CUPS-PDF是一款用于CUPS打印系统的PDF编写器后端,即是一个PDF虚拟打印机.它在一个异构网络中创建PDF文件,在中央文件服务器上提供了一个PDF打印机.它可以将CUPS打印文件到自己的队列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7gq2z.html" rel="bookmark" class="title">华为七款WCDMA手机率先通过入网测试</a>
					<div>
						近日,工信部发布了国内首批WCDMA数字移动电话机入网许可证,华为共有7款产品(U5700.U9100.U7300.U3300.U3310.U1300.U1310)获得了入网证,成为了首批入网产品最多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqgNvb.html" rel="bookmark" class="title">SELinux 的沙箱和 W&Hat;X 页保护被绕过</a>
					<div>
						&quot;2016年6月23日,Google Project Zero的成员Jann Horn发现了一种能绕过SELinux的W^X页保护机制的方法,通常aio_setup_ring()的调用只会允 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwqWmM.html" rel="bookmark" class="title">gb2312转成utf-8的问题</a>
					<div>
						问题描述 现需要post提交数据到合作伙伴的接口中,在将字符串转成utf-8的时候只要是中文字符串为单个中文字的时候最后一个就会乱码,双个中文字的时候就没问题,不知道是啥问题!Encoding.Def ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjqOwM.html" rel="bookmark" class="title">《构建高可用VMware vSphere 5&period;X虚拟化架构》&mdash;&mdash;2&period;6 vCenter Server数据库的备份恢复</a>
					<div>
						2.6 vCenter Server数据库的备份恢复 vCenter Server所使用的数据库备份相当重要,一旦出现问题,vCenter Server将不能正常工作,所以日常备份工作是相当重要的,本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYmD8b.html" rel="bookmark" class="title">登录超时给出提示跳到登录页面（ajax、导入、导出）&lowbar;AJAX相关</a>
					<div>
						一.一般页面登录超时验证,可以用过滤器filter,如下: package com.lg.filter; import java.io.IOException; import javax.servle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmyRAz.html" rel="bookmark" class="title">如何给phpadmin一个保护</a>
					<div>
						如何给phpadmin一个保护如何给phpadmin一个保护,即要输入密码才能进入phpadmin  ------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLoy6M.html" rel="bookmark" class="title">2013年推荐赚钱游戏的方法</a>
					<div>
						   下面推荐一款风靡一时的2d游戏地下城与勇士也就是DNF,这个游戏会有很多人说很少人玩了.但是这款游戏在网赚这上面也是有很好的例子可以参考的,例如像是如何去赚取金币换取现金.    1.材料赚钱  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7AOXM.html" rel="bookmark" class="title">Oracle常用日期函数处理方法介绍</a>
					<div>
						日期型字段:sqlserver日期型字段格式同字符型字段格式,即在其上加单引号,oracle日期型字段格式有所不同,感觉挺罗嗦的,其只有两种处理方式: a:在其值上加单引号.且年.月.日.时.分的排列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlmoo8p.html" rel="bookmark" class="title">MySql如何计算Key Hitrate &comma;Key Buffer Used&comma; Query Cache Hitrate&quest;&quest;请问&period;</a>
					<div>
						问题描述 我在MySQL数据库中的information_schema 库里的GLOBAL_VARIABLES. GLOBAL_STATUS表可以取出来好多数据,比如:•key_buffer_size ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2RmxM.html" rel="bookmark" class="title">三星要求ITC在美国禁售爱立信产品</a>
					<div>
						新浪科技讯 北京时间12月26日上午消息,三星电子周三表示,该公司已经向美国国际贸易委员会(以下简称&quot;ITC&quot;)提出申请,要求美国对部分爱立信产品颁发禁售令.三星电子目前是全球第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgDxaz.html" rel="bookmark" class="title">李平：不要误读网络后台实名制</a>
					<div>
						全国人大常委会日前审议的&lt;加强网络信息保护的决定(草案)&gt;中,对加强网络用户身份管理作了具体规定.网民用实名在后台注册.用昵称在网上浏览,是许多国家的通行做法.这是维护公民信息安全和查处网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7vQwp.html" rel="bookmark" class="title">回顾LIGO之父的传奇人生，这次他会再失诺贝尔物理学奖吗&quest;</a>
					<div>
						雷锋网按:本文由知社学术圈原创发布. 物理学家也有如此精彩的人生......他曾因坠入爱河而被MIT退学, 领导研究宇宙背景辐射却被诺贝尔忽略, 中学同学早在50年前就得了物理诺奖,LIGO之父本周会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWP59p.html" rel="bookmark" class="title">历史的另一面：日本人眼中的&OpenCurlyDoubleQuote;七七事变&rdquo;&lpar;图&rpar;</a>
					<div>
						七七事变地点 卢沟桥 15-1其实,开战之前,中日两军的对峙已经剑拔弩张.这是丰台事件时日军包围中国驻扎丰台军队的兵营的情景.机枪所对的,就是中国军队的营门.在日军看来,这是当时正常而必要的措施.不知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DLq3b.html" rel="bookmark" class="title">IBM加密工具平台Identity Mixer近日向开发者开放</a>
					<div>
						首先,这对于众多开发者来说算是个好消息.开发人员现在能够基于企业级技术层面在开发的apps上加密重要数据. Identity Mixer,是一款能够在用户登录各类网站平台或apps时,提供平台所需用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdYDAp.html" rel="bookmark" class="title">文本框長度控制請教&excl;</a>
					<div>
						问题描述 Vb2005,Winform數據庫中的字段為varchar(20),文本框最大長度設為20,可是如果用户输入20个中文时,长度没有发生任何变化,可是它却占用了40个字节,也就是说根本无法插入 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
